Name:           cccc
Version:        3.1.4
Release:        1%{?dist}
Summary:        Software metrics tool

Group:          Development/Tools
License:        GPLv2+
URL:            http://cccc.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       

%description
CCCC is a free software tool for measurement of source code related metrics
written by Tim Littlefair.

The main features of CCCC 3.0 which are working as of today include:

* internal database recoded using STL
* persistent file format allows analysis outcomes to be saved across runs,
  reloaded, read by other tools
* all output files are now generated into a single directory
* each class identified has a detailed report (as in 2.1.4), in this report,
  low-level data are accompanied by HTML links to the location in the source
  file which gave rise to the data (as in 2.1.4), however these links now work
  (they didn't in 2.1.4), and they take you directly to the relevant line in
  an HTML-ized clone of the analyzed source code (in 2.1.2, before I broke the
  links, they took you to the primary source file - due to the fact that the
  files don't have HTML tags embedded, the link could only take you to the top
  of the file)


%prep
%setup -q


%build
make pccts CC="gcc $RPM_OPT_FLAGS"
make cccc DEBUG=true CCC="g++ $RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -p -m 755 cccc/cccc $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc readme.txt changes.txt cccc/"CCCC User Guide.html" cccc/COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Jan  3 2010 Dan Horák <dan[at]danny.cz> - 3.1.4-1
- initial Fedora version
